package org.processmining.plugins.abstractions;

import javax.swing.JComponent;

import org.deckfour.xes.info.XLogInfo;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.plugins.abstractions.visualization.PatternAbstractionFrame;
import org.processmining.plugins.interactivevisualization.OverviewVisualizationInitializer;
import org.processmining.plugins.log.ui.logoverview.annotations.LogOverviewAddon;

@LogOverviewAddon
public class PatternAbstractionsInitializer implements OverviewVisualizationInitializer {
	
	public String getCategory() {
		return "General";
	}
	
	public String getName() {
		return "Pattern Abstractions";
	}
	
	public JComponent initialize(UIPluginContext pluginContext, XLog log, XLogInfo summary) {
		return new PatternAbstractionFrame(pluginContext, log);
	}
}
