package org.processmining.plugins.abstractions.util;

import org.deckfour.xes.extension.std.XConceptExtension;
import org.deckfour.xes.extension.std.XLifecycleExtension;
import org.deckfour.xes.model.XEvent;

public class LogUtils {

	static public String getActivity(XEvent event) {
		String conceptName = XConceptExtension.instance().extractName(event);
		String lifecycleTransition = XLifecycleExtension.instance().extractTransition(event);
		return (conceptName == null ? "<not provided>" : conceptName) + "-" + (lifecycleTransition == null ? "<not provided>" : lifecycleTransition);
	}
	
	static public String getEventType(XEvent event) {
		String lifecycleTransition = XLifecycleExtension.instance().extractTransition(event);
		return (lifecycleTransition == null ? "<not provided>" : lifecycleTransition);
	}
}
