package org.processmining.plugins.abstractions.exceptions;

/**
 * 
 * @author R. P. Jagadeesh Chandra 'JC' Bose
 * @date 15 May 2011 Eindhoven University of Technology (TU/e)
 * 
 *       Reproducing or using whole or part of this code/application is to be done with proper
 *       acknowledgments by citing "R. P. Jagadeesh Chandra Bose and Wil M. P.
 *       van der Aalst. Abstractions in Process Mining: A Taxonomy of Patterns.
 *       Proceedings of the International Conference on Business Process
 *       Management (BPM). Volume 5701 of LNCS., Springer-Verlag (2009) pages
 *       159-175"
 * 
 */
@SuppressWarnings("serial")
public class EncodingNotFoundException extends Exception {
	String str;

	public EncodingNotFoundException(String a) {
		str = a;
	}

	public String toString() {
		return "Encoding Not Found For " + str;
	}

}
